2019-10-16 15:06 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001170FSSCPgameplaypublic2008-02-22 02:29
ReporterIPAndrews 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001170: Negative weapon energy using player beams and associated crashes
DescriptionWhen you place a beam which eats up a lot of weapon energy on a player ship it is now possible for the weapon to take the ship into negative weapon energy. I don't know if this is intentional behaviour or not but it doesn't seem to make much sense. Also Col Fishguts reported a freeze (had to press reset!) when this happened.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008245

Kazan (developer)

status on this bug report

~0008299

Kazan (developer)

Status Update pls, second request, ticket will be invalidated in 48 hours if no response is received.

~0008312

Woolie Wool (reporter)

I've encountered this. The problem is that fire wait doesn't apply to fighter beams. It will just fire the beam over and over, and since the beam drains energy gradually, it goes into negative numbers because the beams pile onto each other.

~0008736

taylor (administrator)

Should be fixed in my local tree. Someone will have to test it out with the next Xt build and let me know for sure though.

~0008890

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-12-13 07:46 IPAndrews New Issue
2007-07-23 16:11 Kazan Note Added: 0008245
2007-07-24 13:44 Kazan Status new => assigned
2007-07-24 13:44 Kazan Assigned To => Kazan
2007-07-26 01:38 Kazan Note Added: 0008299
2007-07-28 04:10 Woolie Wool Note Added: 0008312
2007-12-05 21:48 taylor Note Added: 0008736
2007-12-05 21:48 taylor Assigned To Kazan => taylor
2008-02-22 02:29 taylor Status assigned => resolved
2008-02-22 02:29 taylor Fixed in Version => 3.6.10
2008-02-22 02:29 taylor Resolution open => fixed
2008-02-22 02:29 taylor Note Added: 0008890
+Issue History